Package org.eclipse.birt.chart.model.layout

# Interface LayoutFactory

All Superinterfaces:
  `org.eclipse.emf.ecore.EFactory`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `LayoutFactoryImpl`

public interface LayoutFactory extends org.eclipse.emf.ecore.EFactory
The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  - `LayoutPackage`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final LayoutFactory`
`eINSTANCE`
The singleton instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`Block`
`createBlock()`
Returns a new object of class 'Block'.
`ClientArea`
`createClientArea()`
Returns a new object of class 'Client Area'.
`LabelBlock`
`createLabelBlock()`
Returns a new object of class 'Label Block'.
`Legend`
`createLegend()`
Returns a new object of class 'Legend'.
`Plot`
`createPlot()`
Returns a new object of class 'Plot'.
`TitleBlock`
`createTitleBlock()`
Returns a new object of class 'Title Block'.
`LayoutPackage`
`getLayoutPackage()`
Returns the package supported by this factory.

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, create, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eINSTANCE

static final LayoutFactory eINSTANCE
The singleton instance of the factory.

## Method Details

### createBlock

Block createBlock()
Returns a new object of class 'Block'.

Returns:
  a new object of class 'Block'.

### createClientArea

ClientArea createClientArea()
Returns a new object of class 'Client Area'.

Returns:
  a new object of class 'Client Area'.

### createLabelBlock

LabelBlock createLabelBlock()
Returns a new object of class 'Label Block'.

Returns:
  a new object of class 'Label Block'.

### createLegend

Legend createLegend()
Returns a new object of class 'Legend'.

Returns:
  a new object of class 'Legend'.

### createPlot

Plot createPlot()
Returns a new object of class 'Plot'.

Returns:
  a new object of class 'Plot'.

### createTitleBlock

TitleBlock createTitleBlock()
Returns a new object of class 'Title Block'.

Returns:
  a new object of class 'Title Block'.

### getLayoutPackage

LayoutPackage getLayoutPackage()
Returns the package supported by this factory.

Returns:
  the package supported by this factory.